Package org.apache.sling.scripting.sightly.impl.compiler

## Class Syntax

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.Syntax

    public class Syntax
    extends Object

HTL Syntax specific elements.

### Field Summary

Fields
`static String` `CONTEXT_OPTION`
`static String` `DEFAULT_LIST_ITEM_VAR_NAME`
`static String` `ITEM_LOOP_STATUS_SUFFIX`
`static String` `PLUGIN_ATTRIBUTE_PREFIX`
`static String` `SLY_COMMENT_PREFIX`
`static String` `SLY_COMMENT_SUFFIX`

### Constructor Summary

Constructors
`Syntax()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isPluginAttribute​(String attributeName)`
`static boolean` `isSightlyComment​(String text)` Checks whether a piece of text represents a HTL comment
`static String` `itemLoopStatusVariable​(String itemVariable)`
`static PluginCallInfo` `parsePluginAttribute​(String attributeName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SLY_COMMENT_PREFIX

    public static final String SLY_COMMENT_PREFIX

See Also:
  Constant Field Values

#### SLY_COMMENT_SUFFIX

    public static final String SLY_COMMENT_SUFFIX

See Also:
  Constant Field Values

#### PLUGIN_ATTRIBUTE_PREFIX

    public static final String PLUGIN_ATTRIBUTE_PREFIX

See Also:
  Constant Field Values

#### DEFAULT_LIST_ITEM_VAR_NAME

    public static final String DEFAULT_LIST_ITEM_VAR_NAME

See Also:
  Constant Field Values

#### ITEM_LOOP_STATUS_SUFFIX

    public static final String ITEM_LOOP_STATUS_SUFFIX

See Also:
  Constant Field Values

#### CONTEXT_OPTION

    public static final String CONTEXT_OPTION

See Also:
  Constant Field Values

### Constructor Detail

#### Syntax

    public Syntax()

### Method Detail

#### isSightlyComment

    public static boolean isSightlyComment​(String text)

Checks whether a piece of text represents a HTL comment

Parameters:
  `text` - - the text
Returns:
  - true if it is a HTL comment, false otherwise

#### isPluginAttribute

    public static boolean isPluginAttribute​(String attributeName)

#### parsePluginAttribute

    public static PluginCallInfo parsePluginAttribute​(String attributeName)

#### itemLoopStatusVariable

    public static String itemLoopStatusVariable​(String itemVariable)